package cn.com.ctop.kuaishou.modules.batch.Enums;

public enum CampaignTypeEnum {

    TYPE2(2, "提升应用安装"),
    TYPE3(3, "获取电商下单"),
    TYPE4(4, "推广品牌活动"),
    TYPE5(5, "收集销售线索"),
    TYPE7(7, "提高应用活跃");


    private Integer type;
    private String value;

    CampaignTypeEnum(Integer type, String value) {
        this.type = type;
        this.value = value;
    }

    public static String getNameByType(Integer type) {
        for (CampaignTypeEnum campaignType : CampaignTypeEnum.values()) {

            if (campaignType.getType().equals(type)) {
                return campaignType.getValue();
            }
        }
        return "";
    }


    public Integer getType() {
        return type;
    }

    public String getValue() {
        return value;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public void setValue(String value) {
        this.value = value;
    }

    @Override
    public String toString() {
        return "CampaignTypeEnum{" +
                "type=" + type +
                ", value='" + value + '\'' +
                '}';
    }
}
